Bug 121021 - Mouse cursor changes the appearance to the hand cursor without pressing Ctrl in Draw
Summary: Mouse cursor changes the appearance to the hand cursor without pressing Ctrl ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Hyperlink
  Show dependency treegraph
 
Reported: 2018-10-29 13:24 UTC by Usama
Modified: 2019-10-30 03:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screencast gif (71.63 KB, image/gif)
2018-10-29 13:36 UTC, Usama
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Usama 2018-10-29 13:24:55 UTC

    
Comment 1 Usama 2018-10-29 13:29:37 UTC
Mouse cursor changes the appearance to the hand cursor without pressing Ctrl in Draw

Observed:
Mouse cursor changes the appearance to the hand cursor without pressing Ctrl in Draw

Expected:
Mouse cursor shouldn't be changed till Ctrl key is pressed

Version: 6.2.0.0.alpha1+
Build ID: 96cf06c947838120e37f3fbb4d0543dd882cb20c
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-10-25_22:45:16
Locale: tr-TR (tr_TR.UTF-8); Calc: threaded
Comment 2 Usama 2018-10-29 13:36:08 UTC
Created attachment 146134 [details]
Screencast gif

Example file:
https://bugs.documentfoundation.org/attachment.cgi?id=144680
Comment 3 Buovjaga 2018-10-29 14:22:02 UTC
Confirmed.

Arch Linux 64-bit
Version: 6.2.0.0.alpha1+
Build ID: bfa6aeb379e5dfcf6f1f97b3365ab551995ab3d5
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on 28 October 2018

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 QA Administrators 2019-10-30 03:37:30 UTC
Dear Usama,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug